Bug 869288 - Use /var/run/katello for pid tracking
Use /var/run/katello for pid tracking
Status: CLOSED WONTFIX
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Content Management (Show other bugs)
6.0.0
Unspecified Unspecified
low Severity low (vote)
: Unspecified
: --
Assigned To: Katello Bug Bin
Katello QA List
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-23 09:40 EDT by James Laska
Modified: 2014-02-18 14:51 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-18 14:51:25 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description James Laska 2012-10-23 09:40:24 EDT
Description of problem:

Currently, the katello sysV script records process id information in a non-standard directory (/usr/share/katello/tmp/pids).  This should be moved to a more typical system-wide location: /var/run/katello/

# ls /usr/share/katello/tmp/pids/
delayed_job_monitor.pid  thin.5000.pid  thin.5002.pid  thin.5004.pid  thin.5006.pid  thin.5008.pid  thin.5010.pid  thin.5012.pid  thin.5014.pid  thin.5016.pid
delayed_job.pid          thin.5001.pid  thin.5003.pid  thin.5005.pid  thin.5007.pid  thin.5009.pid  thin.5011.pid  thin.5013.pid  thin.5015.pid


Version-Release number of selected component (if applicable):
 * katello-1.1.12-16.el6cf.src.rpm
 * katello-candlepin-cert-key-pair-1.0-1.src.rpm
 * katello-certs-tools-1.1.8-1.el6cf.src.rpm
 * katello-cli-1.1.8-8.el6cf.src.rpm
 * katello-configure-1.1.9-7.el6cf.src.rpm
 * katello-qpid-broker-key-pair-1.0-1.src.rpm
 * katello-qpid-client-key-pair-1.0-1.src.rpm
 * katello-selinux-1.1.1-2.el6cf.src.rpm

How reproducible:
 * 100%

Steps to Reproduce:
1. Install a supported $releasever for CloudForms System Engine
2. Install katello-all and run katello-configure
3. Inspect /var/run/katello and /usr/share/katello/tmp/pids

Actual results:

> # ls /var/run/katello
> ls: cannot access /var/run/katello: No such file or directory
> 
> # ls /usr/share/katello/tmp/pids
> delayed_job_monitor.pid  thin.5000.pid  thin.5002.pid  thin.5004.pid  thin.5006.pid  thin.5008.pid  thin.5010.pid  thin.5012.pid  thin.5014.pid  thin.5016.pid
> delayed_job.pid          thin.5001.pid  thin.5003.pid  thin.5005.pid  thin.5007.pid  thin.5009.pid  thin.5011.pid  thin.5013.pid  thin.5015.pid

Expected results:

> # ls /var/run/katello
> delayed_job_monitor.pid  thin.5000.pid  thin.5002.pid  thin.5004.pid  thin.5006.pid  thin.5008.pid  thin.5010.pid  thin.5012.pid  thin.5014.pid  thin.5016.pid
> delayed_job.pid          thin.5001.pid  thin.5003.pid  thin.5005.pid  thin.5007.pid  thin.5009.pid  thin.5011.pid  thin.5013.pid  thin.5015.pid
> 
> # ls /usr/share/katello/tmp/pids
> ls: cannot access /usr/share/katello/tmp/pids: No such file or directory

Additional info:

 * https://fedoraproject.org/wiki/Packaging:SysVInitScript
Comment 1 Lukas Zapletal 2012-10-29 12:02:00 EDT
The plan is to move from thin to mod_passenger, but I agree - we should create it in the more appropriate dir.
Comment 2 Miroslav Suchý 2012-11-13 07:55:26 EST
My intention is to move to mod_passenger as well. This will resolve this BZ as side effect.
See
https://github.com/Katello/katello/pull/1041
Comment 5 Bryan Kearney 2014-02-18 14:51:25 EST
Katello is now part of foreman. Closing.

Note You need to log in before you can comment on or make changes to this bug.